fuss-server - Segnalazione #98

Debian packaging: path errati
12/05/2016 07:10 PM - Christopher R. Gabriel

Status: Chiuso Start date: 12/05/2016
Priority: Normale Due date:

Assignee: Christopher R. Gabriel % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description
Nell'attuale packaging debian segnalo:

* problema del path del file di configurazione:
utentel@server:~$ dpkg -L fuss-server | grep fuss-server.yaml

/etc/fuss-server/fuss-server.yaml
/etc/fuss—-server/fuss-server.yaml/fuss—-server.yaml

Quindi non viene rilevato, in quanto una directory.
Gli eseguibili invece (fuss-server, fuss-server-config) vengono installati fuori dal path:

utente@server:~$ dpkg -L fuss-server | grep fuss-server-config
/usr/share/fuss-server/fuss-server-config

utente@server:~$ dpkg -L fuss-server | grep server/fuss—-server$
/usr/share/fuss—-server/fuss—-server

History

#1 - 12/06/2016 10:51 AM - Elena Grandi
- Status changed from Nuovo to Commenti

- Assignee changed from Elena Grandi to Christopher R. Gabriel

Sistemato il path di fuss-server.yaml e fuss-server-config.

Per fuss-server ho creato uno stub di script che viene installato nel path (e appena sara finito accettera i parametri che deve accettare e fara girare
alla bisogna -config e poi ansible)

#2 - 12/06/2016 10:56 AM - Christopher R. Gabriel

- Assignee changed from Christopher R. Gabriel to Elena Grandi

Ok, direi che posso riprovare a verificarlo poi quando e' pronto anche il resto

#3 - 12/07/2016 12:08 PM - Elena Grandi

- Assignee changed from Elena Grandi to Christopher R. Gabriel

Rimosso fuss-server-config, integrate le sue funzionalita in fuss-server, che non & pil uno stub ma uno script completo che quindi pud essere
provato.
#4 - 12/12/2016 10:43 AM - Christopher R. Gabriel

- Status changed from Commenti to Chiuso

Ok verificato, chiuso.
